moeoParetoSharing(3)

NAME
moeoParetoSharing -

SYNOPSIS

Inherits eoPerf2Worth< EOT, worthT >.

  Public Member Functions
moeoParetoSharing (double _nicheSize)
moeoParetoSharing (double _nicheSize, moeoParetoPhenDist< EOT, worthT > &_dist)
void operator ()(const eoPop< EOT > &_pop)

  Private Member Functions
double sh (double dist, double Dmax)

  Private Attributes
double nicheSize
moeoParetoPhenDist< EOT, worthT > & dist
moeoParetoEuclidDist< EOT > euc_dist
double Dmax

  Classes
class dMatrix

Detailed Description

  template<class EOT, class worthT = double> class moeoParetoSharing< EOT, worthT >

Definition at line 19 of file moeoParetoSharing.h.

Author

Generated automatically by Doxygen for ParadisEO-MOEO from the source code.